http_put_data
http_put_stream
Funções para HTTP
PHP Manual

# http_put_file

(PECL pecl_http >= 0.10.0)

http_put_file — Perform PUT request with file

### Descrição

string http_put_file ( string `$url` [, string `$file` [, array `$options` [, array `&$info` ]]] )

Performs an HTTP PUT request on the supplied url.

Veja a lista completa de opções da requisição.

### Parâmetros

`url`

  URL

`file`

  The file to put

`options`

  opções da requisição

`info`

  Informações de requisição/resposta

### Valor Retornado

Retorna a(s) resposta(s) HTTP como uma string em caso de sucesso, ou `FALSE` em caso de falha.

http_put_data
http_put_stream
Funções para HTTP
PHP Manual